<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/AndroidUtilities/test/AndroidLoggerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a></li><li class="navelem"><a class="el" href="dir_ba991d363617c24a5edc675ea753ac04.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">AndroidLoggerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_android_logger_8h_source.html">AndroidUtilities/AndroidLogger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_level_8h_source.html">AVSCommon/Utils/Logger/Level.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AndroidLoggerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_android_logger_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_application_utilities_2_android_utilities_2test_2_android_logger_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_application_utilities_2_android_utilities_2test_2_android_logger_test_8cpp" id="_2workplace_2avs-device-sdk_2_application_utilities_2_android_utilities_2test_2_android_logger_test_8cpp">
<area shape="rect" id="node3" href="_android_logger_8h.html" title="AndroidUtilities/Android\lLogger.h" alt="" coords="564,119,724,157"/>
<area shape="rect" id="node17" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="370,465,546,504"/>
<area shape="rect" id="node4" href="_log_string_formatter_8h.html" title="AVSCommon/Utils/Logger\l/LogStringFormatter.h" alt="" coords="876,205,1052,244"/>
<area shape="rect" id="node6" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="556,292,732,331"/>
<area shape="rect" id="node25" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="1248,379,1422,417"/>
<area shape="rect" id="node11" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="767,379,980,417"/>
<area shape="rect" id="node18" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="194,379,370,417"/>
<area shape="rect" id="node23" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="546,379,743,417"/>
<area shape="rect" id="node24" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1079,552,1255,591"/>
<area shape="rect" id="node19" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="26,465,202,504"/>
<area shape="rect" id="node21" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="202,552,378,591"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">alexaClientSDK::applicationUtilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities.html">alexaClientSDK::applicationUtilities::androidUtilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html">alexaClientSDK::applicationUtilities::androidUtilities::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8ec2803226ea520a02f084b07eab0c0b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a8ec2803226ea520a02f084b07eab0c0b">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST</a> (AndroidLoggerTest, test_sanityTestOk)</td></tr>
<tr class="memdesc:a8ec2803226ea520a02f084b07eab0c0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a valid log entry.  <a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a8ec2803226ea520a02f084b07eab0c0b">More...</a><br /></td></tr>
<tr class="separator:a8ec2803226ea520a02f084b07eab0c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcba26c759918b74219988d8afcaffb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afcba26c759918b74219988d8afcaffb3">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST</a> (AndroidLoggerTest, test_sanityTestNullThreadMoniker)</td></tr>
<tr class="memdesc:afcba26c759918b74219988d8afcaffb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a log entry with null threadMoniker.  <a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afcba26c759918b74219988d8afcaffb3">More...</a><br /></td></tr>
<tr class="separator:afcba26c759918b74219988d8afcaffb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12162ab751a4ca2dc92966a5df2f3808"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a12162ab751a4ca2dc92966a5df2f3808">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST</a> (AndroidLoggerTest, test_sanityTestNullText)</td></tr>
<tr class="memdesc:a12162ab751a4ca2dc92966a5df2f3808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a log entry with null text.  <a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a12162ab751a4ca2dc92966a5df2f3808">More...</a><br /></td></tr>
<tr class="separator:a12162ab751a4ca2dc92966a5df2f3808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a755979254475c4fb6b9046e0c56ae4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a0a755979254475c4fb6b9046e0c56ae4">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST</a> (AndroidLoggerTest, test_sanityTestLevels)</td></tr>
<tr class="memdesc:a0a755979254475c4fb6b9046e0c56ae4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test all levels.  <a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a0a755979254475c4fb6b9046e0c56ae4">More...</a><br /></td></tr>
<tr class="separator:a0a755979254475c4fb6b9046e0c56ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
